Bug 497786 - Review Request: perl-JSON-RPC - Perl implementation of JSON-RPC 1.1 protocol
Review Request: perl-JSON-RPC - Perl implementation of JSON-RPC 1.1 protocol
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 04:36 EDT by Emmanuel Seyman
Modified: 2013-02-01 00:02 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.96-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 15:37:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-04-27 04:36:47 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-JSON-RPC/perl-JSON-RPC.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-JSON-RPC/perl-JSON-RPC-0.96-1.fc10.src.rpm
Description: JSON-RPC is a stateless and light-weight remote procedure call (RPC)
protocol for inter-networking applications over HTTP. It uses JSON as the
data format for of all facets of a remote procedure call, including all
application data carried in parameters
Comment 1 Parag AN(पराग) 2009-04-28 00:53:23 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1325668
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
3912464c3cf59b60131fd2b15400192a  JSON-RPC-0.96.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=13,  0 wallclock secs ( 0.03 usr  0.00 sys +  0.28 cusr  0.03 csys =  0.34 CPU)
+ Package perl-JSON-RPC-0.96-1.fc12.noarch =>
  Provides: perl(JSON::RPC) = 0.96 perl(JSON::RPC::Client) = 0.93 perl(JSON::RPC::Procedure) = 0.90 perl(JSON::RPC::ReturnObject) perl(JSON::RPC::Server) = 0.92 perl(JSON::RPC::Server::Apache2) perl(JSON::RPC::Server::CGI) = 0.92 perl(JSON::RPC::Server::Daemon) = 0.03 perl(JSON::RPC::Server::system) perl(JSON::RPC::ServiceObject) perl(JSONRPC) = 1.01
Requires: perl(APR::Table) perl(Apache2::Const) perl(Apache2::RequestIO) perl(Apache2::RequestRec) perl(Apache2::RequestUtil) perl(CGI) perl(Carp) perl(Data::Dumper) perl(HTTP::Request) perl(HTTP::Response) perl(JSON) perl(JSON::RPC::Server) perl(LWP::UserAgent) perl(attributes) perl(base) perl(lib) perl(strict)


Suggestions:
1) For perl packages yum resolves automatic dependencies so you don't need
Requires:       perl(CGI) >= 2.92
Requires:       perl(HTTP::Request)
Requires:       perl(HTTP::Response)
Requires:       perl(JSON) >= 2
Requires:       perl(LWP::UserAgent) >= 2.001
Requires:       perl(Test::More)

remove them from SPEC.

APPROVED.
Comment 2 Emmanuel Seyman 2009-04-28 11:59:44 EDT
Thanks for the review,  Parag.
I've updated the spec file to remove the Requires you pointed out.

Spec file : http://people.parinux.org/~seyman/fedora/perl-JSON-RPC/perl-JSON-RPC.spec
Src rpm : http://people.parinux.org/~seyman/fedora/perl-JSON-RPC/perl-JSON-RPC-0.96-2.fc10.src.rpm

Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-JSON
Short Description: Perl implementation of JSON-RPC 1.1 protocol-RPC
Owners: eseyman
Branches: F-9 F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-30 00:56:16 EDT
This package is already in fedora.
Comment 4 Mamoru TASAKA 2009-04-30 01:21:38 EDT
(In reply to comment #2)
> Requesting CVS.
> 
> New Package CVS Request
> =======================
> Package Name: perl-JSON

I guess this should be perl-JSON-RPC
Comment 5 Emmanuel Seyman 2009-04-30 07:57:11 EDT
(In reply to comment #4)
> 
> I guess this should be perl-JSON-RPC  

Yes, you're right. I'm sorry, that was a stupid mistake on my part.

New Package CVS Request
=======================
Package Name: perl-JSON-RPC
Short Description: Perl implementation of JSON-RPC 1.1 protocol-RPC
Owners: eseyman
Branches: F-9 F-10 F-11
InitialCC: perl-sig
Comment 6 Dennis Gilmore 2009-05-01 16:57:24 EDT
CVS Done
Comment 7 Parag AN(पराग) 2009-05-06 01:23:55 EDT
is this built?
Comment 8 Fedora Update System 2009-05-06 04:20:44 EDT
perl-JSON-RPC-0.96-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-JSON-RPC-0.96-2.fc11
Comment 9 Emmanuel Seyman 2009-05-06 04:28:39 EDT
(In reply to comment #7)
>
> is this built?

I uploaded and built the package for all branches but never got around to pushing out the updates. Thanks for pinging me.
Comment 10 Fedora Update System 2009-05-09 00:26:05 EDT
perl-JSON-RPC-0.96-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-JSON-RPC'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4663
Comment 11 Parag AN(पराग) 2009-06-24 04:16:49 EDT
any plans to push this as stable updates?
Comment 12 Emmanuel Seyman 2009-06-24 04:46:23 EDT
(In reply to comment #11)
>
> any plans to push this as stable updates?  

This was done on June 21 (Update ID: FEDORA-2009-4663).
Comment 13 Fedora Update System 2009-06-24 15:37:15 EDT
perl-JSON-RPC-0.96-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.